BootstrapServiceRegistryBuilder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service
Class BootstrapServiceRegistryBuilder

    java.lang.Object
      org.hibernate.service.BootstrapServiceRegistryBuilder

    public class BootstrapServiceRegistryBuilder

extends Object

Builder for bootstrap `ServiceRegistry` instances.

See Also:
  `BootstrapServiceRegistryImpl`, `ServiceRegistryBuilder.ServiceRegistryBuilder(BootstrapServiceRegistry)`

Constructor Summary
`BootstrapServiceRegistryBuilder()`

Method Summary
`BootstrapServiceRegistry` | `build()` Build the bootstrap registry.
`BootstrapServiceRegistryBuilder` | `with(Integrator integrator)` Add an `Integrator` to be applied to the bootstrap registry.
`BootstrapServiceRegistryBuilder` | `withApplicationClassLoader(ClassLoader classLoader)` Applies the specified `ClassLoader` as the application class loader for the bootstrap registry
`BootstrapServiceRegistryBuilder` | `withEnvironmentClassLoader(ClassLoader classLoader)` Applies the specified `ClassLoader` as the environment (or system) class loader for the bootstrap registry
`BootstrapServiceRegistryBuilder` | `withHibernateClassLoader(ClassLoader classLoader)` Applies the specified `ClassLoader` as the Hibernate class loader for the bootstrap registry
`BootstrapServiceRegistryBuilder` | `withResourceClassLoader(ClassLoader classLoader)` Applies the specified `ClassLoader` as the resource class loader for the bootstrap registry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapServiceRegistryBuilder

    public BootstrapServiceRegistryBuilder()

Method Detail

### with

    public BootstrapServiceRegistryBuilder with(Integrator integrator)

  Add an `Integrator` to be applied to the bootstrap registry.

  Parameters:
    `integrator` - The integrator to add.
  Returns:
    `this`, for method chaining

### withApplicationClassLoader

    public BootstrapServiceRegistryBuilder withApplicationClassLoader(ClassLoader classLoader)

  Applies the specified `ClassLoader` as the application class loader for the bootstrap registry

  Parameters:
    `classLoader` - The class loader to use
  Returns:
    `this`, for method chaining

### withResourceClassLoader

    public BootstrapServiceRegistryBuilder withResourceClassLoader(ClassLoader classLoader)

  Applies the specified `ClassLoader` as the resource class loader for the bootstrap registry

  Parameters:
    `classLoader` - The class loader to use
  Returns:
    `this`, for method chaining

### withHibernateClassLoader

    public BootstrapServiceRegistryBuilder withHibernateClassLoader(ClassLoader classLoader)

  Applies the specified `ClassLoader` as the Hibernate class loader for the bootstrap registry

  Parameters:
    `classLoader` - The class loader to use
  Returns:
    `this`, for method chaining

### withEnvironmentClassLoader

    public BootstrapServiceRegistryBuilder withEnvironmentClassLoader(ClassLoader classLoader)

  Applies the specified `ClassLoader` as the environment (or system) class loader for the bootstrap registry

  Parameters:
    `classLoader` - The class loader to use
  Returns:
    `this`, for method chaining

### build

    public BootstrapServiceRegistry build()

  Build the bootstrap registry.

  Returns:
    The built bootstrap registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.